### Hierarchy

- LegendSections

## Index

### Properties

- items
- sections
- title
- titleHalign
- titleStyle

## Properties

### items

items: object[]

An array of objects with the following properties defining the legend items. Also accepts a Promise for deferred data rendering. No data will be rendered if the Promise is rejected.

### sections

sections: object[]

An array of nested legend sections.

### title

title: string

The title of the section.

### titleHalign

titleHalign: string

The horizontal alignment of the section title. If the section is collapsible or nested, only start alignment is supported.

### titleStyle

titleStyle: object

The CSS style object defining the style of the section title.

Generated using TypeDoc